;	>> Dither << by g0blinish
;
;	Size-fixed version with regular load address by JAC! for SillyPack2k14.
;
;	@com.wudsn.ide.asm.outputfoldermode=SOURCE_FOLDER


	 org $2000

x1	= $cb		;Zero page

AUDF1	= $D200		;POKEY
AUDC1	= $D201
AUDF2	= $D202
AUDC2	= $D203
AUDF3	= $D204
AUDC3	= $D205
AUDF4	= $D206
AUDC4	= $D207
AUDCTL	= $D208

;	lda #12; open graphics mode
;	jsr $ef9c;openmode=$ef9c

start
	lda #$A3
	sta AUDC1
	sta AUDC2
	sta AUDC3

	ldy #$FD
	sty AUDF1
	iny
	sty AUDF2		;$fe
	iny
	sty AUDF3		;$ff
	iny
	sty AUDCTL		;$00

;	ldy #$00
ylp
	ldx #$00
xlp
	tya
	and #$03
	sta v1+1
	txa
	and #$03
	clc
	rol
	rol

v1	ora #$00
	stx xv+1
	tax

	lda #$00
	sta x1

	tya
; and #$F8
	lsr
	lsr
	lsr
	clc
	sbc matrix,x
	bcc plot
	lda xv+1
	and #$07
	tax
	lda bitwei,x
	sta x1
plot
	lda x1
	ora $8000,y
	sta $8000,y
;next x
xv	ldx #$00
	inx
	cpx #$08
	bne xlp
	iny
	cpy #$88
	bne ylp
	lda #$80
	sta 756
;-------------------------------------------
;	lda #$00
;	sta 755;disable inverse chars
	ldx #24
hlp
	ldy #40
vv1	lda #$00
lp1
	pha
	lsr
	lsr
scra
	sta $3000
	pla
	inc scra+1
	bne nomsb
	inc scra+2
nomsb
	clc
vv2	adc #$01
	dey
	bne lp1		;scra
	inc vv1+1
	inc vv2+1
	dex
	bne hlp

dointro
	lda #$04
	sta x1
	lda #$00
	sta skippy+1
	sta $bc24
	lda #$40
	sta skippy+2
	sta $bc25
	lda #$30
	sta varadr1+2
	sta varadr2+2
varadr1
	lda $3000
	clc
	adc #$02
	cmp #$7F
	bcc varadr2
	clc
	sbc #$7F

varadr2
	sta $3000
	and #$1F
; tax
; lda fade,x
	cmp #$10
	bcc noinv
	eor #$FF
noinv
	and #$1F
skippy
	sta $1234

;      LD            DE ,$027F
;lp1:
;      LD            A ,(HL)
;      ADD           A ,D
;      CP            E
;      JR            C ,$+3
;
;      SUB           E
;      LD            (HL)  ,A
;      INC           HL
	inc skippy+1
	inc varadr2+1
	inc varadr1+1
	bne varadr1
	inc skippy+2
	inc varadr2+2
	inc varadr1+2
	dec x1
	bne varadr1
	beq dointro

;fade
;.byte 0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15
;.byte 15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0
matrix	.byte 0,8,2,10,12,4,14,6,3,11,1,9,15,7,13,5
bitwei	.byte 128,64,32,16,8,4,2,1

	run start

