;	Include file for emulating SDX functions with Atari OS/CIO
;	@com.wudsn.ide.asm.mainsourcefile=GRU.asm

OPMODE	.byte 0
FATR1	.byte 0
;FATR2	.byte 0
FAUX1	.byte 0	;Buffer address pointer (word)
FAUX2	.byte 0
;FAUX3	.byte 0
FAUX4	.byte 0	;Length (word)
FAUX5	.byte 0
;FAUX6	.byte 0
FILE_P	.word 0

EXTENDED	.byte 0

SYMBOL	.byte 0

FACA	.byte 0,0,0,0		;COMTAB+$0ff	;4 bytes
FACB	.byte 0,0,0,0		;COMTAB+$103	;4 bytes
RESI	.byte 0,0,0,0,0,0,0,0	;COMTAB+$107	;8 bytes


ciov	= $e456

	.proc printf
	pla
	sta adr
	pla
	sta adr+1
loop	inw adr
	ldy #0
	lda (adr),y
	beq done
	jsr print_char
	jmp loop
done
	lda adr+1
	pha
	lda adr
	pha
	rts
	.endp


	.proc print_char;IN: <A>, changes <A>, <X>, <Y>
	tax
	lda $e407	;Use PUT_CHAR from E: handler
	pha
	lda $e406
	pha
	txa
	rts
	.endp

	.proc FOPEN
	ldx #$10
	lda #$03
	sta $342,x
	lda FILE_P
	sta $344,x
	lda FILE_P+1
	sta $345,x
	lda OPMODE
	sta $34a,x
	lda #0	;FATR1
	sta $34b,x
	jsr ciov
	rts
	.endp
	
	.proc FREAD
	ldx #$10
	lda #$07
	sta $342,x
	lda FAUX1
	sta $344,x
	lda FAUX2
	sta $345,x
	lda FAUX4
	sta $348,x
	lda FAUX5
	sta $349,x
	jsr ciov
	php
	lda $348,x
	sta FAUX4
	lda $349,x
	sta FAUX5
	plp
	rts
	.endp

	.proc FCLOSE
	ldx #$10
	lda #$0c
	sta $342,x
	jsr ciov
	rts
	.endp

	.proc U_FAIL
	ldy #0
	sta (88),y
loop	lda $d20a
	sta $d01a
	jmp loop
	.endp

	.proc S_LOOKUP
	lda #0
	rts
	.endp

	.proc MUL_32
	L0B2E = FACA
	L0B32 = FACB
	L0B36 = RESI
	
	ldy #$20

	LDX #$03
	LDA #$00
LA186   STA L0B36,X
	DEX
	BPL LA186

LA1D9	CLC
	LDX #$03
LA1DC	ROL L0B36,X
	DEX
	BPL LA1DC

	CLC
	LDX #$03
LA1E5	ROL L0B2E,X
	DEX
	BPL LA1E5

	BCC LA1FC

	CLC
	LDX #$03
LA1F0	LDA L0B32,X
	ADC L0B36,X
	STA L0B36,X
	DEX
	BPL LA1F0
LA1FC	DEY
	BNE LA1D9
	rts
	.endp
