
TRAMSZ   EQU $06
WARMST   EQU $08
BOOT_    EQU $09
DOSINI   EQU $0C
APPMHI   EQU $0E
IRQENS   EQU $10
IRQSTAT  EQU $11
RTCLOK   EQU $12

ichidz	= $20
ICDNOZ   EQU $21
ICCOMZ   EQU $22
ICSTZ	= $23
ICBAZ    EQU $24
ICPTZ    EQU $26
ICBLZ    EQU $28
ICAX1Z   EQU $2A
ICAX2Z   EQU $2B
ICAX3Z	EQU $2C
ICAX5Z   EQU $2E
ICAX6Z   EQU $2F
SIOSTAT  EQU $30
CHKSUM   EQU $31
BUFR     EQU $32
BUFEN    EQU $34
IOSNDEN  EQU $41
CRITIC   EQU $42
ZBUFA    EQU $43
ZDRVA    EQU $45
INIFLG   EQU $47
ATRACT   EQU $4D
LMARGN   EQU $52
RMARGN   EQU $53
VCP      EQU $54
HCP      EQU $55
SAVMSC   EQU $58

LOGCOL   EQU $63
RAMTOP   EQU $6A

TIMCNT1  equ $218
VVBLKI   EQU $222
TIMVEC1  EQU $226
DMACTLS  EQU $22F
DLPTRS   EQU $230
CDEVIC   EQU $23A
CCMND    EQU $23B
CAUX1    EQU $23C
CAUX2    EQU $23D
COLDST   EQU $244
PDVMSK   EQU $247
PDVRS    EQU $248
CRETRY   EQU $29C
INVFLG   EQU $2B6
DRETRY   EQU $2BD
SHFLOK   EQU $2BE
COLPF1S  EQU $2C5
COLPF2S  EQU $2C6
COLPF3S  EQU $2C7
COLBAKS  EQU $2C8
KRPDEL   EQU $2D9
KEYREP   EQU $2DA
NOCLIK   EQU $2DB
hlpflg	equ $02dc
RUNAD	EQU $2E0
INITAD	EQU $2E2
MEMTOP   EQU $2E5
MEMLO    EQU $2E7
dvstat = $2ea
CRSINH   EQU $2F0
oldkbc	equ $02f2
CHBAS    EQU $2F4
ATACHR   EQU $2FB
KBCODES  EQU $2FC
DSPFLG   EQU $2FE
SSFLAG   EQU $2FF

DCB      EQU $300
DDEVIC   EQU $300
DUNIT    EQU $301
DCMND    EQU $302
DSTATS   EQU $303
DBUFA    EQU $304
DBUFAL   EQU $304
DBUFAH   EQU $305
DTIMLO   EQU $306
DBYT     EQU $308
DBYTL    EQU $308
DBYTH    EQU $309
DAUX     EQU $30A
DAUX1    EQU $30A
DAUX2    EQU $30B
CASFLG   EQU $30F
STACKP   EQU $318
TSTAT    EQU $319
HATABS   EQU $31A
ICDNO    EQU $341
ICCMD    EQU $342
ICBUFA   EQU $344
ICPUTB   EQU $346
ICBUFL   EQU $348
ICAX1    EQU $34A
ICAX2    EQU $34B
ICAX3    EQU $34C
ICAX4    EQU $34D
ICAX5    EQU $34E
ICAX6    EQU $34F
CARTCK   EQU $3EB
BASICF   EQU $3F8
GINTLK   EQU $3FA

BUF580   EQU $580


CART     EQU $BFF0
CARTRUN  EQU $BFFA

ABANK    EQU $CFFF

TRIG3    EQU $D013
PAL      EQU $D014
CONSOL   EQU $D01F
GTIA     EQU $D000
PDVREG   EQU $D1FF
AUDC1    EQU $D201
AUDC2    EQU $D203
AUDF3    EQU $D204
AUDC3    EQU $D205
AUDF4    EQU $D206
AUDC4    EQU $D207
AUDCTL   EQU $D208
KBCODE   EQU $D209
RANDOM   EQU $D20A
SKSTRES  EQU $D20A
SEROUT   EQU $D20D
SERIN    EQU $D20D
IRQST    EQU $D20E
IRQEN    EQU $D20E
SKSTAT   EQU $D20F
PORTA    EQU $D300
PORTB    EQU $D301
PACTL    EQU $D302
PBCTL    EQU $D303
DMACTL   EQU $D400
DLPTR	EQU $D402
WSYNC    EQU $D40A
VCOUNT   EQU $D40B
NMIEN    EQU $D40E
NMIST    EQU $D40F


CART_ON  EQU $D500
CART_OF  EQU $D508

PDIOR    EQU $D805

CHARSET1 EQU $E000
DEVHAT   EQU $E400
KBDVEC   EQU $E420
VKBGBYT  EQU $E424
JCIOMAIN EQU $E456
JSIOINT  EQU $E459
SETVBLV  EQU $E45C
JRESETCD EQU $E477
JNMIENBL = $e46b

SIOV     EQU $E459
JSYSVBL  EQU $E45F
JEXITVBL EQU $E462
JNEWDEVC EQU $E486

NMIVEC   EQU $FFFA
RESETVEC EQU $FFFC
IRQVEC   EQU $FFFE
