@rem Run via launch configuration from within WUDSN IDE to see the full logs.
@echo off
call Make-Settings.bat

cd %BASE_DIR%

rem Clean and copy fixes first
call Make-Fixes.bat

rem Make main file
call :make AUTORUN.AR0

echo Creating disk image.
set ATR=%RELEASE%.atr
atr\hias\dir2atr.exe -m -b MyDos4534 %ATR% atr\files
echo Done.

if NOT X%1==XSTART goto :eof
start %ATR%
goto :eof

:make
cd asm
echo Compiling menu.
set EXECUTABLE=..\atr\files\%1
if exist %EXECUTABLE% del %EXECUTABLE% 
%MADS% -s SillyMenu.asm -o:SillyMenu.xex %2 %3
if ERRORLEVEL 1 goto :mads_error
echo Packing menu.
%EXOMIZER% sfx $2000 SillyMenu.xex -t 168 -o SillyMenu-Packed.xex -q
echo Compiling loader.
%MADS% -s SillyMenu-Loader.asm -l -o:%EXECUTABLE% %2 %3
if ERRORLEVEL 1 goto :mads_error
dir SillyMenu.xex %EXECUTABLE% 
cd ..
goto :eof

:mads_error
echo ERROR: MADS compilation errors occurred. Check error messages above.
exit
